For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
      • GETRetrieves all project templates.
      • POSTCreates a new project template.
      • GETRetrieves a specific project template.
      • PUTUpdates an existing project template.
      • DELDeletes a project template.
      • GETRetrieves all project statuses of a project template.
      • POSTAdds a project status to a project template.
      • GETRetrieves the task bundle associated with a project template.
      • GETReturns all task statuses of the project template with the specified id.
      • POSTCreates a new task status for the specified project template.
      • GETReturns the task status of the project template with the specified id.
      • PUTUpdates a task status for the specified project template.
      • DELDeletes the task status of the project template with the specified id.
      • POSTUpdates the order of a project status within a project template.
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Templates

Returns all task statuses of the project template with the specified id.

GET
https://api.awork.com/api/v1/projecttemplates/:projectTemplateId/taskstatuses
GET
/api/v1/projecttemplates/:projectTemplateId/taskstatuses
$curl https://api.awork.com/api/v1/projecttemplates/projectTemplateId/taskstatuses \
> -H "Authorization: Bearer <token>"
1[
2 {
3 "id": "123e4567-e89b-12d3-a456-426614174000",
4 "name": "Conceptualize",
5 "type": "progress",
6 "order": 2,
7 "icon": "arrow_forward",
8 "projectId": "123e4567-e89b-12d3-a456-426614174000",
9 "projectTypeId": "123e4567-e89b-12d3-a456-426614174000",
10 "workflowId": "123e4567-e89b-12d3-a456-426614174000",
11 "createdOn": "2022-03-{10}T15:51:58.100Z",
12 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
13 "updatedOn": "2022-03-10T16:15:26.100Z",
14 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
15 "isExternal": true
16 }
17]
<Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Creates a new task status for the specified project template.

Next
Built with
Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectTemplateIdstringRequiredformat: "uuid"
The id of the project template.

Query parameters

pageintegerOptionalDefaults to 1
Page number for pagination
pageSizeintegerOptionalDefaults to 10
Number of items per page
orderbystringOptional
The properties to order by
filterbystringOptional
The filter expression to filter by

Response

OK
idstringformat: "uuid"
The primary identifier of this task status.
namestring or null
The name of the task status.
typestring or null
Of what general type is this task status?.
orderdouble or null
The order of the task status in a project.
iconstring or null
The icon of the task status.
projectIdstring or nullformat: "uuid"
Is set if the task status is related to a project.
projectTypeIdstring or nullformat: "uuid"
Is set if the task status is related to a project type.
workflowIdstring or nullformat: "uuid"
Is set if the task status is related to a workflow.
createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.
isExternalboolean

True if the task status is coming from an external workspace (awork Connect).

Errors

404
Not Found Error